Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.basex.data
Enum StatsKey.Kind

    java.lang.Object
      java.lang.Enum<StatsKey.Kind>
          org.basex.data.StatsKey.Kind

All Implemented Interfaces:
  Serializable, Comparable<StatsKey.Kind>

Enclosing class:
  StatsKey

    public static enum StatsKey.Kind

extends Enum<StatsKey.Kind>

Kind of Contents.

Enum Constant Summary
`CAT` Category.
`DBL` Numeric.
`INT` Numeric.
`NONE` No Texts.
`TEXT` Text.

Method Summary
`static StatsKey.Kind` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static StatsKey.Kind[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### TEXT

    public static final StatsKey.Kind TEXT

  Text.

### CAT

    public static final StatsKey.Kind CAT

  Category.

### INT

    public static final StatsKey.Kind INT

  Numeric.

### DBL

    public static final StatsKey.Kind DBL

  Numeric.

### NONE

    public static final StatsKey.Kind NONE

  No Texts.

Method Detail

### values

    public static StatsKey.Kind[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (StatsKey.Kind c : StatsKey.Kind.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static StatsKey.Kind valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD